
QGIS Application - Feature request #8949

Make SQL queries on postgis work as in OpenJump, i.e. directly

2013-10-24 02:16 PM - Ray Lee

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17614

Description

Hi all and thanks a lot for QGIS it is great!

But nowadays  i am working a lot with postgis and found out that for example in Open Jump GIS i can just directly issue ANY query that

returns a geometry.

With all those QGIS plugins for visualizing postgis queries, if i feed them a bit more then a standard function,it crashes (loses cursors

etc).

So QGIS is great, but could be much greater if it could smoothly handle any sql query directly.

History

#1 - 2013-10-24 02:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

have you used DB manager? is not a plugin, it comes with qgis.

#2 - 2013-10-24 02:32 PM - Ray Lee

Of course.. as I said I tried all the possibilities.. as soon as the query is a bit complicated (with custom functions etc) it crashes, whereas OpenJump does it

without complaining

#3 - 2013-10-24 02:34 PM - Giovanni Manghi

Ray le wrote:

Of course.. as I said I tried all the possibilities.. as soon as the query is a bit complicated (with custom functions etc) it crashes, whereas OpenJump

does it without complaining

can you post a sample/type of query that makes qgis (db manager) crash?

#4 - 2014-07-28 08:28 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Closed due to lack of feedback.
If you are able to provide the feedback required to solve this issue, please reopen it.
